import { IDesignItem } from '../../../item/IDesignItem.js';
import { IDesignerCanvas } from '../IDesignerCanvas.js';
import { AbstractExtension } from './AbstractExtension.js';
import { IExtensionManager } from './IExtensionManger.js';
export declare class MarginExtension extends AbstractExtension {
    constructor(extensionManager: IExtensionManager, designerView: IDesignerCanvas, extendedItem: IDesignItem);
    private _path;
    private _path2;
    extend(cache: Record<string | symbol, any>, event?: Event): void;
    refresh(cache: Record<string | symbol, any>, event?: Event): void;
    dispose(): void;
}
